Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py	(revision 7652)
@@ -33,5 +33,5 @@
     IExtFileStore, IPDF, IUserAccount)
 from waeup.sirp.students.vocabularies import RegNumNotInSource
-from waeup.sirp.utils.helpers import attrs_to_fields, get_current_principal
+from waeup.sirp.utils.helpers import attrs_to_fields
 from waeup.sirp.applicants.interfaces import IApplicant, IApplicantEdit
 
@@ -314,12 +314,7 @@
     comment = 'Applicant record removed'
     target = applicant.applicant_id
-    # In some tests we don't have a principal
     try:
-        user = get_current_principal().id
-    except (TypeError, AttributeError):
-        return
-    try:
-        grok.getSite()['applicants'].logger.info('%s - %s - %s' % (
-            user, target, comment))
+        grok.getSite()['applicants'].logger.info('%s - %s' % (
+            target, comment))
     except KeyError:
         # If we delete an entire university instance there won't be
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 7652)
@@ -25,5 +25,4 @@
 from waeup.sirp.interfaces import ISIRPPluggable
 from waeup.sirp.applicants.interfaces import IApplicantsRoot
-from waeup.sirp.utils.helpers import get_current_principal
 from waeup.sirp.utils.logger import Logger
 
@@ -42,8 +41,6 @@
         """Get the logger's info method.
         """
-        user = get_current_principal()
-        user = getattr(user, 'id', 'system')
-        self.logger.info('%s - %s - %s - %s' % (
-                user, target, ob_class, comment))
+        self.logger.info('%s - %s - %s' % (
+                target, ob_class, comment))
         return
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7652)
@@ -24,5 +24,4 @@
 from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo
 from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
-from waeup.sirp.utils.helpers import get_current_principal
 
 INITIALIZED = 'initialized'
@@ -157,7 +156,6 @@
     # In some tests we don't have a an applicants root or a user
     try:
-        user = get_current_principal()
         applicants_root = grok.getSite()['applicants']
-        applicants_root.logger.info('%s - %s - %s' % (user.id,obj.applicant_id,msg))
+        applicants_root.logger.info('%s - %s' % (obj.applicant_id,msg))
     except (TypeError, AttributeError):
         pass
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/container.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/container.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/container.py	(revision 7652)
@@ -21,5 +21,4 @@
 import grok
 from waeup.sirp.hostels.interfaces import IHostelsContainer, IHostel
-from waeup.sirp.utils.helpers import get_current_principal
 from waeup.sirp.utils.logger import Logger
 
@@ -55,8 +54,6 @@
         """Get the logger's info method.
         """
-        user = get_current_principal()
-        user = user.id
-        self.logger.info('%s - %s - %s - %s' % (
-                user, ob_class, target, comment))
+        self.logger.info('%s - %s - %s' % (
+                ob_class, target, comment))
         return
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/batching.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/batching.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/batching.py	(revision 7652)
@@ -42,5 +42,4 @@
 from waeup.sirp.students.workflow import  IMPORTABLE_STATES
 from waeup.sirp.utils.batching import BatchProcessor
-from waeup.sirp.utils.helpers import get_current_principal
 
 class StudentProcessor(BatchProcessor):
@@ -135,9 +134,8 @@
         parent = self.getParent(row, site)
         parent.addStudent(obj)
-        # In some tests we don't have a students container or a user
+        # In some tests we don't have a students container
         try:
-            user = get_current_principal()
-            parent.logger.info('%s - %s - Student record imported' % (
-                user.id,obj.student_id))
+            parent.logger.info('%s - Student record imported' % (
+                obj.student_id))
             history = IObjectHistory(obj)
             history.addMessage('Student record imported')
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/container.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/container.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/container.py	(revision 7652)
@@ -22,5 +22,4 @@
 from waeup.sirp.students.interfaces import (
     IStudentsContainer, IStudent)
-from waeup.sirp.utils.helpers import get_current_principal
 from waeup.sirp.utils.logger import Logger
 
@@ -53,10 +52,5 @@
         """Get the logger's info method.
         """
-        user = get_current_principal()
-        if user is None:
-            # In tests we do not necessarily have a logged on principal
-            return
-        user = user.id
-        self.logger.info('%s - %s - %s - %s' % (
-                user, ob_class, target, comment))
+        self.logger.info('%s - %s - %s' % (
+                ob_class, target, comment))
         return
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/student.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7652)
@@ -35,5 +35,5 @@
 from waeup.sirp.students.payments import StudentPaymentsContainer
 from waeup.sirp.students.accommodation import StudentAccommodation
-from waeup.sirp.utils.helpers import attrs_to_fields, get_current_principal
+from waeup.sirp.utils.helpers import attrs_to_fields
 from waeup.sirp.students.utils import generate_student_id
 
@@ -174,12 +174,7 @@
     comment = 'Student record removed'
     target = student.student_id
-    # In some tests we don't have a principal
     try:
-        user = get_current_principal().id
-    except (TypeError, AttributeError):
-        return
-    try:
-        grok.getSite()['students'].logger.info('%s - %s - %s' % (
-            user, target, comment))
+        grok.getSite()['students'].logger.info('%s - %s' % (
+            target, comment))
     except KeyError:
         # If we delete an entire university instance there won't be
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7651)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7652)
@@ -10,5 +10,4 @@
     REGISTERED, VALIDATED)
 from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
-from waeup.sirp.utils.helpers import get_current_principal
 from waeup.sirp.students.interfaces import IStudent, IStudentsUtils
 
@@ -197,9 +196,8 @@
     if event.transition.transition_id == 'pay_school_fee':
         getUtility(IStudentsUtils).setReturningData(obj)
-    # In some tests we don't have a students container or a user
+    # In some tests we don't have a students container
     try:
-        user = get_current_principal()
         students_container = grok.getSite()['students']
-        students_container.logger.info('%s - %s - %s' % (user.id,obj.student_id,msg))
+        students_container.logger.info('%s - %s' % (obj.student_id,msg))
     except (TypeError, AttributeError):
         pass