Index: /main/waeup.sirp/trunk/docs/source/_templates/mainpage.template
===================================================================
--- /main/waeup.sirp/trunk/docs/source/_templates/mainpage.template	(revision 7665)
+++ /main/waeup.sirp/trunk/docs/source/_templates/mainpage.template	(revision 7666)
@@ -20,5 +20,5 @@
     <p class="biglink">
       <a class="biglink" 
-         href="{{ pathto("userdocs/index") }}">User documentation</a><br />
+         href="{{ pathto("userdocs/index") }}">User Documentation</a><br />
     <span class="linkdescr">
       Documentation for users and admins using waeup.sirp.
@@ -34,5 +34,5 @@
     <p class="biglink">
       <a class="biglink" 
-         href="{{ pathto("developerdocs/index") }}">Developer documentation</a><br />
+         href="{{ pathto("developerdocs/index") }}">Developer Documentation</a><br />
       <span class="linkdescr">
         <a href="{{ pathto("developerdocs/api/index") }}">API</a> and other pieces
@@ -68,10 +68,10 @@
     <p class="biglink">
       <a class="biglink" 
-         href="{{ pathto("bugs") }}">Reporting bugs</a><br />
+         href="{{ pathto("bugs") }}">Reporting Bugs</a><br />
     </p>
 
     <p class="biglink">
       <a class="biglink" 
-         href="{{ pathto("documentation") }}">About the documentation</a><br />
+         href="{{ pathto("documentation") }}">About the Documentation</a><br />
     </p>
 
Index: /main/waeup.sirp/trunk/docs/source/conf.py
===================================================================
--- /main/waeup.sirp/trunk/docs/source/conf.py	(revision 7665)
+++ /main/waeup.sirp/trunk/docs/source/conf.py	(revision 7666)
@@ -48,5 +48,5 @@
 
 # General information about the project.
-project = u'WAeUP SIRP'
+project = u'WAeUP.SIRP'
 copyright = u'2011, WAeUP Team'
 
Index: /main/waeup.sirp/trunk/docs/source/contents.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/contents.rst	(revision 7665)
+++ /main/waeup.sirp/trunk/docs/source/contents.rst	(revision 7666)
@@ -1,6 +1,6 @@
 .. _contents:
 
-`waeup.sirp` documentation contents
-===================================
+WAeUP.SIRP Documentation Contents
+=================================
 
 .. toctree::
@@ -17,5 +17,5 @@
    documentation
 
-Indices and tables
+Indices and Tables
 ==================
 
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/developernotes.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/developernotes.rst	(revision 7665)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/developernotes.rst	(revision 7666)
@@ -2,8 +2,8 @@
 ***************
 
-How to setup a developer instance of the WAeUP SIRP, handle tests, docs
+How to setup a developer instance of the WAeUP.SIRP, handle tests, docs
 etc.
 
-The new WAeUP SIRP is based on `Grok <http://grok.zope.org/>`_.
+The new WAeUP.SIRP is based on `Grok <http://grok.zope.org/>`_.
 
 Installing a developer copy
@@ -15,5 +15,5 @@
 --------------------
 
-To create a working copy of the WAeUP SIRP we recommend use of
+To create a working copy of the WAeUP.SIRP we recommend use of
 `virtualenv`. You, however, need also some basic libraries, a C
 compiler and some things more.
@@ -127,5 +127,5 @@
 In the sandbox (or anywhere else) we now create our real working
 environment. To do this, we change to the sandbox and checkout the
-sources of the WAeUP SIRP from the subversion server::
+sources of the WAeUP.SIRP from the subversion server::
 
   $ cd mysandbox/
Index: /main/waeup.sirp/trunk/setup.py
===================================================================
--- /main/waeup.sirp/trunk/setup.py	(revision 7665)
+++ /main/waeup.sirp/trunk/setup.py	(revision 7666)
@@ -27,4 +27,5 @@
     'zope.app.file',
     'zope.app.testing',        # XXX: test_permissions needs this
+    'zope.app.undo',
     'zope.file',
     'zope.interface >= 3.6.0',
Index: /main/waeup.sirp/trunk/tools/fix_import_file.py
===================================================================
--- /main/waeup.sirp/trunk/tools/fix_import_file.py	(revision 7665)
+++ /main/waeup.sirp/trunk/tools/fix_import_file.py	(revision 7666)
@@ -65,5 +65,5 @@
 # Mapping input file colnames --> output file colnames
 COLNAME_MAPPING = {
-    # base date
+    # base data
     'jamb_reg_no': 'reg_number',
     'matric_no': 'matric_number',
@@ -77,4 +77,5 @@
     # course ticket
     'level_id': 'level',
+    'core_or_elective': 'mandatory',
     # payment ticket
     'order_id': 'p_id',