Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7669)
@@ -39,5 +39,7 @@
   </tbody>
 </table>
-<h3 i18n:translate="">Acceptance Fee Payment Tickets</h3>
+<h3 i18n:translate="acceptance_fee_tickets">
+    Acceptance Fee Payment Tickets
+</h3>
 <table>
   <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7669)
@@ -16,5 +16,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
@@ -39,8 +39,8 @@
           <input type="file" name="form.passport" />
           <br />
-          <span i18n:translate="">
+          <span i18n:translate="max_file_size">
             Max. file size:
-            <span tal:replace="view/max_upload_size">10 KB</span>
           </span>
+          <span tal:replace="view/max_upload_size">10 KB</span>
       </tr>
       <tr tal:condition="view/manage_applications">
@@ -86,5 +86,7 @@
 
   <br /><br />
-  <h3 i18n:translate="">Acceptance Fee Payment Tickets</h3>
+  <h3 i18n:translate="acceptance_fee_tickets">
+      Acceptance Fee Payment Tickets
+  </h3>
 
   <table>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
@@ -24,7 +24,6 @@
       </tal:block>
       <tr tal:condition="view/captcha_code">
-        <td i18n:translate="">
-          Please solve the captcha<br />
-          to prevent misuse of this service:
+        <td i18n:translate="solve_captcha">
+          Please solve the captcha<br />to prevent misuse of this service:
         </td>
         <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7669)
@@ -27,5 +27,5 @@
                 <span tal:condition="widget/required">*
                 </span>
-                <span i18n:translate="" tal:content="widget/label">label
+                <span tal:content="widget/label">label
                 </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7669)
@@ -16,5 +16,5 @@
               <td class="fieldname">
                 <span tal:condition="widget/required">*</span>
-                <span i18n:translate="" tal:content="widget/label">label</span>:
+                <span tal:content="widget/label">label</span>:
               </td>
               <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7669)
@@ -6,6 +6,5 @@
     <tr>
       <td class="fieldname">
-        <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
+        <span tal:content="widget/label">label</span>:
       </td>
       <td tal:on-error="default">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7669)
@@ -19,5 +19,5 @@
                   <span tal:condition="widget/required">*
                   </span>
-                  <span i18n:translate="" tal:content="widget/label">label
+                  <span tal:content="widget/label">label
                   </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7669)
@@ -25,5 +25,5 @@
                   <span tal:condition="widget/required">*
                   </span>
-                  <span i18n:translate="" tal:content="widget/label">label
+                  <span tal:content="widget/label">label
                   </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7669)
@@ -13,5 +13,5 @@
     <li tal:attributes="class view/tab3">
     <a href="#tab-3">
-      <span>Local Roles
+      <span i18n:translate="local_roles" >Local Roles
       </span></a>
     </li>
@@ -26,5 +26,5 @@
                 <span tal:condition="widget/required">*
                 </span>
-                <span i18n:translate="" tal:content="widget/label">label
+                <span tal:content="widget/label">label
                 </span>:
               </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/myrolespage.pt	(revision 7669)
@@ -1,3 +1,3 @@
-<h3 i18n:translate="">My Portal Roles:</h3>
+<h3 i18n:translate="my_portal_roles">My Portal Roles:</h3>
 <table class="form-table">
 <tr tal:repeat="role view/getSiteRoles">
@@ -8,5 +8,5 @@
 </table>
 
-<h3 i18n:translate="">My Local Roles:</h3>
+<h3 i18n:translate="my_local_roles">My Local Roles:</h3>
 <table class="form-table">
   <tr tal:repeat="role view/getLocalRoles">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7669)
@@ -1,4 +1,7 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="waeup.sirp"
+      xml:lang="en">
   <head>
     <title>WAeUP - your way up
@@ -26,5 +29,6 @@
           <ul class="nav secondary-nav">
             <li tal:condition="not: layout/isAuthenticated">
-            <a href="#" tal:attributes="href python: view.url(layout.site, 'login')">
+            <a href="#" i18n:translate="login"
+                tal:attributes="href python: view.url(layout.site, 'login')">
                 Login
             </a>
@@ -88,9 +92,9 @@
           tal:condition="status">
           Form Status:
-          <span i18n:translate="" tal:content="view/status">
+          <span tal:content="view/status">
             Form status summary
           </span>
         </div>
-        <h1 i18n:translate="" tal:condition="view/label|nothing"
+        <h1 tal:condition="view/label|nothing"
             tal:content="view/label">Label</h1>
         <div tal:content="structure view/content"> THE CONTENT
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7669)
@@ -1,4 +1,7 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="waeup.sirp"
+      xml:lang="en">
   <head>
     <title>WAeUP - your way up
@@ -73,9 +76,9 @@
           tal:condition="status">
           Form Status:
-          <span i18n:translate="" tal:content="view/status">
+          <span tal:content="view/status">
             Form status summary
           </span>
         </div>
-        <h1 i18n:translate="" tal:condition="view/label|nothing"
+        <h1 tal:condition="view/label|nothing"
             tal:content="view/label">Label</h1>
         <div tal:content="structure view/content"> THE CONTENT
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
             <span tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
           <td class="fieldname">
             <span class="required" tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7669)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 10:44:38 2012\n"
+"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
 "PO-Revision-Date: 2012-02-19 10:51+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -27,4 +27,43 @@
 "X-Poedit-Country: GERMANY\n"
 
+#. Default: "Acceptance Fee Payment Tickets"
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:88
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:41
+msgid "acceptance_fee_tickets"
+msgstr ""
+
+#. Default: "Local Roles"
+#: waeup/sirp/browser/templates/facultymanagepage.pt:15
+msgid "local_roles"
+msgstr ""
+
+#. Default: "My Portal Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:1
+msgid "my_portal_roles"
+msgstr ""
+
+#. Default: "My Local Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:10
+msgid "my_local_roles"
+msgstr ""
+
+#. Default: "Login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:31
+msgid "login"
+msgstr ""
+
+#. Default: "Please solve the captcha<br />to prevent misuse of this service:"
+#: waeup/sirp/students/browser_templates/changepw.pt:26
+#: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
+msgid "solve_captcha"
+msgstr ""
+
+#. Default: "Max. file size:"
+#: waeup/sirp/students/browser_templates/imageupload.pt:20
+#: waeup/sirp/students/browser_templates/fileupload.pt:26
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:41
+msgid "max_file_size"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:46
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7669)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 10:44:38 2012\n"
+"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
 "PO-Revision-Date: 2012-02-19 10:32+0100\n"
 "Last-Translator: Issoufou Abba Moussa <isouaba@waeup.org>\n"
@@ -27,4 +27,43 @@
 "X-Poedit-Country: NIGER\n"
 
+#. Default: "Acceptance Fee Payment Tickets"
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:88
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:41
+msgid "acceptance_fee_tickets"
+msgstr ""
+
+#. Default: "Local Roles"
+#: waeup/sirp/browser/templates/facultymanagepage.pt:15
+msgid "local_roles"
+msgstr ""
+
+#. Default: "My Portal Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:1
+msgid "my_portal_roles"
+msgstr ""
+
+#. Default: "My Local Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:10
+msgid "my_local_roles"
+msgstr ""
+
+#. Default: "Login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:31
+msgid "login"
+msgstr ""
+
+#. Default: "Please solve the captcha<br />to prevent misuse of this service:"
+#: waeup/sirp/students/browser_templates/changepw.pt:26
+#: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
+msgid "solve_captcha"
+msgstr ""
+
+#. Default: "Max. file size:"
+#: waeup/sirp/students/browser_templates/imageupload.pt:20
+#: waeup/sirp/students/browser_templates/fileupload.pt:26
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:41
+msgid "max_file_size"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:46
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7669)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 10:44:38 2012\n"
+"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
 "PO-Revision-Date: 2012-02-19 10:49+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -27,7 +27,45 @@
 "X-Poedit-Country: NIGERIA\n"
 
+#. Default: "Acceptance Fee Payment Tickets"
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:88
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:41
+msgid "acceptance_fee_tickets"
+msgstr ""
+
+#. Default: "Local Roles"
+#: waeup/sirp/browser/templates/facultymanagepage.pt:15
+msgid "local_roles"
+msgstr ""
+
+#. Default: "My Portal Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:1
+msgid "my_portal_roles"
+msgstr ""
+
+#. Default: "My Local Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:10
+msgid "my_local_roles"
+msgstr ""
+
+#. Default: "Login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:31
+msgid "login"
+msgstr ""
+
+#. Default: "Please solve the captcha<br />to prevent misuse of this service:"
+#: waeup/sirp/students/browser_templates/changepw.pt:26
+#: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
+msgid "solve_captcha"
+msgstr ""
+
+#. Default: "Max. file size:"
+#: waeup/sirp/students/browser_templates/imageupload.pt:20
+#: waeup/sirp/students/browser_templates/fileupload.pt:26
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:41
+msgid "max_file_size"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:46
 msgid "name_of_faculty"
 msgstr "Hausa Test"
-
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7669)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Sun Feb 19 10:44:38 2012\n"
+"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,4 +24,43 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:88
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:41
+#. Default: "Acceptance Fee Payment Tickets"
+msgid "acceptance_fee_tickets"
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultymanagepage.pt:15
+#. Default: "Local Roles"
+msgid "local_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/myrolespage.pt:1
+#. Default: "My Portal Roles:"
+msgid "my_portal_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/myrolespage.pt:10
+#. Default: "My Local Roles:"
+msgid "my_local_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/staffsitelayout.pt:31
+#. Default: "Login"
+msgid "login"
+msgstr ""
+
+#: waeup/sirp/students/browser_templates/changepw.pt:26
+#: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
+#. Default: "Please solve the captcha<br />to prevent misuse of this service:"
+msgid "solve_captcha"
+msgstr ""
+
+#: waeup/sirp/students/browser_templates/imageupload.pt:20
+#: waeup/sirp/students/browser_templates/fileupload.pt:26
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:41
+#. Default: "Max. file size:"
+msgid "max_file_size"
+msgstr ""
+
 #: waeup/sirp/university/interfaces.py:46
 #. Default: "Name of faculty"
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7669)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 10:44:38 2012\n"
+"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
 "PO-Revision-Date: 2012-02-19 10:57+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -27,7 +27,45 @@
 "X-Poedit-Country: NIGERIA\n"
 
+#. Default: "Acceptance Fee Payment Tickets"
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:88
+#: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:41
+msgid "acceptance_fee_tickets"
+msgstr ""
+
+#. Default: "Local Roles"
+#: waeup/sirp/browser/templates/facultymanagepage.pt:15
+msgid "local_roles"
+msgstr ""
+
+#. Default: "My Portal Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:1
+msgid "my_portal_roles"
+msgstr ""
+
+#. Default: "My Local Roles:"
+#: waeup/sirp/browser/templates/myrolespage.pt:10
+msgid "my_local_roles"
+msgstr ""
+
+#. Default: "Login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:31
+msgid "login"
+msgstr ""
+
+#. Default: "Please solve the captcha<br />to prevent misuse of this service:"
+#: waeup/sirp/students/browser_templates/changepw.pt:26
+#: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
+msgid "solve_captcha"
+msgstr ""
+
+#. Default: "Max. file size:"
+#: waeup/sirp/students/browser_templates/imageupload.pt:20
+#: waeup/sirp/students/browser_templates/fileupload.pt:26
+#: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:41
+msgid "max_file_size"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:46
 msgid "name_of_faculty"
 msgstr "Yoruba Test"
-
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
               <td class="fieldname">
                 <span tal:condition="widget/required">*</span>
-                <span i18n:translate="" tal:content="widget/label">label</span>:
+                <span tal:content="widget/label">label</span>:
               </td>
               <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
               <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
+              <span tal:content="widget/label">label</span>:
           </td>
           <td>
@@ -24,7 +24,6 @@
       </tal:block>
       <tr tal:condition="view/captcha_code">
-        <td i18n:translate="">
-          Please solve the captcha<br />
-          to prevent misuse of this service:
+        <td i18n:translate="solve_captcha">
+          Please solve the captcha<br />to prevent misuse of this service:
         </td>
         <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7669)
@@ -14,5 +14,5 @@
               <td class="fieldname">
                   <span tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
+                  <span tal:content="widget/label">label</span>:
               </td>
               <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7669)
@@ -56,5 +56,5 @@
           <td class="fieldname">
               <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
+              <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7669)
@@ -24,8 +24,8 @@
                   name python:('upload_%s' % viewlet.input_name)"
                value="Upload new file" class="btn primary" />
-      <span i18n:translate="">
+      <span i18n:translate="max_file_size">
         Max. file size:
-        <span tal:replace="viewlet/max_upload_size">10 KB</span>
       </span>
+      <span tal:replace="viewlet/max_upload_size">10 KB</span>
     </span>
     <br />
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7669)
@@ -18,8 +18,8 @@
                   name python:('upload_%s' % viewlet.input_name)"
                value="Upload" class="btn primary" />
-      <span i18n:translate="">
+      <span i18n:translate="max_file_size">
         Max. file size:
-        <span tal:replace="viewlet/max_upload_size">10 KB</span>
       </span>
+      <span tal:replace="viewlet/max_upload_size">10 KB</span>
     </span>
   </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
           <td class="fieldname">
             <span class="required" tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7669)
@@ -6,5 +6,5 @@
     <tr>
       <td class="filedname">
-        <span i18n:translate="" tal:content="widget/label">label</span>:
+        <span tal:content="widget/label">label</span>:
       </td>
       <td tal:on-error="default">
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
           <td class="fieldname">
             <span class="required" tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7668)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7669)
@@ -6,5 +6,5 @@
     <tr>
       <td class="fieldname">
-        <span i18n:translate="" tal:content="widget/label">label</span>:
+        <span tal:content="widget/label">label</span>:
       </td>
       <td tal:on-error="default">