Index: /main/waeup.sirp/trunk/src/waeup/sirp/__init__.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/__init__.py	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/__init__.py	(revision 7670)
@@ -1,9 +1,6 @@
 import grok
-import zope.i18nmessageid
 from waeup.sirp.interfaces import ISIRPObject
 from zope.annotation.attribute import AttributeAnnotations
 from zope.annotation.interfaces import IAnnotations
-
-MessageFactory = zope.i18nmessageid.MessageFactory('waeup.sirp')
 
 class SIRPAttributeAnnotations(AttributeAnnotations, grok.Adapter):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7670)
@@ -18,4 +18,5 @@
 import os
 import re
+import zope.i18nmessageid
 from datetime import datetime
 from hurry.file.interfaces import IFileRetrieval
@@ -31,13 +32,15 @@
 from zope.schema.vocabulary import SimpleVocabulary, SimpleTerm
 
-CREATED = 'created'
-ADMITTED = 'admitted'
-CLEARANCE = 'clearance started'
-REQUESTED = 'clearance requested'
-CLEARED = 'cleared'
-PAID = 'school fee paid'
-RETURNING = 'returning'
-REGISTERED = 'courses registered'
-VALIDATED = 'courses validated'
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.sirp')
+
+CREATED = _('created')
+ADMITTED = _('admitted')
+CLEARANCE = _('clearance started')
+REQUESTED = _('clearance requested')
+CLEARED = _('cleared')
+PAID = _('school fee paid')
+RETURNING = _('returning')
+REGISTERED = _('courses registered')
+VALIDATED = _('courses validated')
 
 default_frontpage = u'' + open(os.path.join(
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7670)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
-"PO-Revision-Date: 2012-02-19 10:51+0100\n"
+"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
+"PO-Revision-Date: 2012-02-19 19:33+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -53,4 +53,40 @@
 msgstr ""
 
+#: waeup/sirp/interfaces.py:36
+msgid "created"
+msgstr "neu"
+
+#: waeup/sirp/interfaces.py:37
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:38
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:39
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:40
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:41
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:42
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:43
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:44
+msgid "courses validated"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -66,6 +102,10 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:30
+msgid "Admit student"
+msgstr "Student zulassen"
+
 #. Default: "Name of faculty"
-#: waeup/sirp/university/interfaces.py:46
+#: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
 msgstr "Name der Fakultät"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7670)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
+"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
 "PO-Revision-Date: 2012-02-19 10:32+0100\n"
 "Last-Translator: Issoufou Abba Moussa <isouaba@waeup.org>\n"
@@ -53,4 +53,40 @@
 msgstr ""
 
+#: waeup/sirp/interfaces.py:36
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:37
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:38
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:39
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:40
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:41
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:42
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:43
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:44
+msgid "courses validated"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -66,6 +102,10 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:30
+msgid "Admit student"
+msgstr ""
+
 #. Default: "Name of faculty"
-#: waeup/sirp/university/interfaces.py:46
+#: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
 msgstr ""
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7670)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
+"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
 "PO-Revision-Date: 2012-02-19 10:49+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -53,4 +53,40 @@
 msgstr ""
 
+#: waeup/sirp/interfaces.py:36
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:37
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:38
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:39
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:40
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:41
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:42
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:43
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:44
+msgid "courses validated"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -66,6 +102,10 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:30
+msgid "Admit student"
+msgstr ""
+
 #. Default: "Name of faculty"
-#: waeup/sirp/university/interfaces.py:46
+#: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
 msgstr "Hausa Test"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7670)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
+"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -50,4 +50,40 @@
 msgstr ""
 
+#: waeup/sirp/interfaces.py:36
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:37
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:38
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:39
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:40
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:41
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:42
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:43
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:44
+msgid "courses validated"
+msgstr ""
+
 #: waeup/sirp/students/browser_templates/changepw.pt:26
 #: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
@@ -63,5 +99,9 @@
 msgstr ""
 
-#: waeup/sirp/university/interfaces.py:46
+#: waeup/sirp/students/workflow.py:30
+msgid "Admit student"
+msgstr ""
+
+#: waeup/sirp/university/interfaces.py:47
 #. Default: "Name of faculty"
 msgid "name_of_faculty"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7670)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 17:46:58 2012\n"
+"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
 "PO-Revision-Date: 2012-02-19 10:57+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -53,4 +53,40 @@
 msgstr ""
 
+#: waeup/sirp/interfaces.py:36
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:37
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:38
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:39
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:40
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:41
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:42
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:43
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:44
+msgid "courses validated"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -66,6 +102,10 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:30
+msgid "Admit student"
+msgstr ""
+
 #. Default: "Name of faculty"
-#: waeup/sirp/university/interfaces.py:46
+#: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
 msgstr "Yoruba Test"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7670)
@@ -9,4 +9,5 @@
     CREATED, ADMITTED, CLEARANCE, REQUESTED, CLEARED, PAID, RETURNING,
     REGISTERED, VALIDATED)
+from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
 from waeup.sirp.students.interfaces import IStudent, IStudentsUtils
@@ -27,5 +28,5 @@
     Transition(
         transition_id = 'admit',
-        title = 'Admit student',
+        title = _('Admit student'),
         msg = 'Student admitted',
         source = CREATED,
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7670)
@@ -18,9 +18,10 @@
 """Interfaces of academics specific objects.
 """
+
 from zope import schema
 from zope.interface import Attribute
+import zope.i18nmessageid
 from waeup.sirp.interfaces import (ISIRPObject, ISIRPContainer)
-from waeup.sirp import MessageFactory as _
-
+from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.university.vocabularies import (
     course_levels,
Index: /main/waeup.sirp/trunk/src/waeup/sirp/widgets/phonewidget.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/widgets/phonewidget.py	(revision 7669)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/widgets/phonewidget.py	(revision 7670)
@@ -31,5 +31,5 @@
 import re
 import copy
-from waeup.sirp import MessageFactory as _
+from waeup.sirp.interfaces import MessageFactory as _
 from zope import schema
 from zope.browserpage import ViewPageTemplateFile