Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7670)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7674)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
-"PO-Revision-Date: 2012-02-19 19:33+0100\n"
+"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
+"PO-Revision-Date: 2012-02-22 08:38+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -31,61 +31,69 @@
 #: waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt:41
 msgid "acceptance_fee_tickets"
-msgstr ""
+msgstr "Zullassungsgebühr-Ticket"
+
+#: waeup/sirp/applicants/viewlets.py:42
+msgid "Applicants"
+msgstr "Antragsteller"
+
+#: waeup/sirp/applicants/viewlets.py:55
+msgid "Application"
+msgstr "Beantragung"
 
 #. Default: "Local Roles"
 #: waeup/sirp/browser/templates/facultymanagepage.pt:15
 msgid "local_roles"
-msgstr ""
+msgstr "Lokale Rollen"
+
+#: waeup/sirp/browser/templates/facultypage.pt:1
+msgid "There no subobjects registered yet."
+msgstr "Es existieren bisher keine Unterobjekte."
+
+#. Default: "Code"
+#: waeup/sirp/browser/templates/facultypage.pt:8
+msgid "code"
+msgstr "Kürzel"
+
+#. Default: "Title"
+#: waeup/sirp/browser/templates/facultypage.pt:9
+msgid "title"
+msgstr "Titel"
 
 #. Default: "My Portal Roles:"
 #: waeup/sirp/browser/templates/myrolespage.pt:1
 msgid "my_portal_roles"
-msgstr ""
+msgstr "Meine portalweiten Rollen:"
 
 #. Default: "My Local Roles:"
 #: waeup/sirp/browser/templates/myrolespage.pt:10
 msgid "my_local_roles"
-msgstr ""
+msgstr "Meine lokalen Rollen:"
 
-#. Default: "Login"
-#: waeup/sirp/browser/templates/staffsitelayout.pt:31
-msgid "login"
-msgstr ""
+#: waeup/sirp/browser/templates/staffsitelayout.pt:28
+#: waeup/sirp/browser/templates/studentsitelayout.pt:33
+msgid "Login"
+msgstr "Einloggen"
 
-#: waeup/sirp/interfaces.py:36
-msgid "created"
-msgstr "neu"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:34
+#: waeup/sirp/browser/templates/studentsitelayout.pt:39
+msgid "Contact"
+msgstr "Kontakt"
 
-#: waeup/sirp/interfaces.py:37
-msgid "admitted"
-msgstr ""
+#: waeup/sirp/browser/templates/staffsitelayout.pt:40
+#: waeup/sirp/browser/templates/studentsitelayout.pt:45
+msgid "Logout"
+msgstr "Ausloggen"
 
-#: waeup/sirp/interfaces.py:38
-msgid "clearance started"
-msgstr ""
+#: waeup/sirp/browser/viewlets.py:679
+msgid "Academics"
+msgstr "Akademie"
 
-#: waeup/sirp/interfaces.py:39
-msgid "clearance requested"
-msgstr ""
+#: waeup/sirp/browser/viewlets.py:694
+msgid "Enquiries"
+msgstr "Anfragen"
 
-#: waeup/sirp/interfaces.py:40
-msgid "cleared"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:41
-msgid "school fee paid"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:42
-msgid "returning"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:43
-msgid "courses registered"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:44
-msgid "courses validated"
-msgstr ""
+#: waeup/sirp/hostels/browser.py:65
+msgid "Hostels"
+msgstr "Wohnheime"
 
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
@@ -93,5 +101,5 @@
 #: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
 msgid "solve_captcha"
-msgstr ""
+msgstr "Löse Captcha, um Misbrauch des Dienstes zu vermeiden:"
 
 #. Default: "Max. file size:"
@@ -100,5 +108,9 @@
 #: waeup/sirp/applicants/browser_templates/applicanteditpage.pt:41
 msgid "max_file_size"
-msgstr ""
+msgstr "Max. Dateigröße:"
+
+#: waeup/sirp/students/viewlets.py:464
+msgid "Students"
+msgstr "Studenten"
 
 #: waeup/sirp/students/workflow.py:30
@@ -111,4 +123,2 @@
 msgstr "Name der Fakultät"
 
-#~ msgid "Invalid datetime data"
-#~ msgstr "Ungültiges Datum "
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7670)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7674)
@@ -14,16 +14,14 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
-"PO-Revision-Date: 2012-02-19 10:32+0100\n"
-"Last-Translator: Issoufou Abba Moussa <isouaba@waeup.org>\n"
-"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
-"Language: fr-FR\n"
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: French\n"
-"X-Poedit-Country: NIGER\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -33,7 +31,29 @@
 msgstr ""
 
+#: waeup/sirp/applicants/viewlets.py:42
+msgid "Applicants"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:55
+msgid "Application"
+msgstr ""
+
 #. Default: "Local Roles"
 #: waeup/sirp/browser/templates/facultymanagepage.pt:15
 msgid "local_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultypage.pt:1
+msgid "There no subobjects registered yet."
+msgstr ""
+
+#. Default: "Code"
+#: waeup/sirp/browser/templates/facultypage.pt:8
+msgid "code"
+msgstr ""
+
+#. Default: "Title"
+#: waeup/sirp/browser/templates/facultypage.pt:9
+msgid "title"
 msgstr ""
 
@@ -48,43 +68,29 @@
 msgstr ""
 
-#. Default: "Login"
-#: waeup/sirp/browser/templates/staffsitelayout.pt:31
-msgid "login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:28
+#: waeup/sirp/browser/templates/studentsitelayout.pt:33
+msgid "Login"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:36
-msgid "created"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:34
+#: waeup/sirp/browser/templates/studentsitelayout.pt:39
+msgid "Contact"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:37
-msgid "admitted"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:40
+#: waeup/sirp/browser/templates/studentsitelayout.pt:45
+msgid "Logout"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:38
-msgid "clearance started"
+#: waeup/sirp/browser/viewlets.py:679
+msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:39
-msgid "clearance requested"
+#: waeup/sirp/browser/viewlets.py:694
+msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:40
-msgid "cleared"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:41
-msgid "school fee paid"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:42
-msgid "returning"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:43
-msgid "courses registered"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:44
-msgid "courses validated"
+#: waeup/sirp/hostels/browser.py:65
+msgid "Hostels"
 msgstr ""
 
@@ -102,4 +108,8 @@
 msgstr ""
 
+#: waeup/sirp/students/viewlets.py:464
+msgid "Students"
+msgstr ""
+
 #: waeup/sirp/students/workflow.py:30
 msgid "Admit student"
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7670)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7674)
@@ -14,16 +14,14 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
-"PO-Revision-Date: 2012-02-19 10:49+0100\n"
-"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
-"Language-Team: WAeUP Nigeria<isouaba@waeup.org>\n"
-"Language: ha-NG-Latn\n"
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: Hausa\n"
-"X-Poedit-Country: NIGERIA\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -33,7 +31,29 @@
 msgstr ""
 
+#: waeup/sirp/applicants/viewlets.py:42
+msgid "Applicants"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:55
+msgid "Application"
+msgstr ""
+
 #. Default: "Local Roles"
 #: waeup/sirp/browser/templates/facultymanagepage.pt:15
 msgid "local_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultypage.pt:1
+msgid "There no subobjects registered yet."
+msgstr ""
+
+#. Default: "Code"
+#: waeup/sirp/browser/templates/facultypage.pt:8
+msgid "code"
+msgstr ""
+
+#. Default: "Title"
+#: waeup/sirp/browser/templates/facultypage.pt:9
+msgid "title"
 msgstr ""
 
@@ -48,43 +68,29 @@
 msgstr ""
 
-#. Default: "Login"
-#: waeup/sirp/browser/templates/staffsitelayout.pt:31
-msgid "login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:28
+#: waeup/sirp/browser/templates/studentsitelayout.pt:33
+msgid "Login"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:36
-msgid "created"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:34
+#: waeup/sirp/browser/templates/studentsitelayout.pt:39
+msgid "Contact"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:37
-msgid "admitted"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:40
+#: waeup/sirp/browser/templates/studentsitelayout.pt:45
+msgid "Logout"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:38
-msgid "clearance started"
+#: waeup/sirp/browser/viewlets.py:679
+msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:39
-msgid "clearance requested"
+#: waeup/sirp/browser/viewlets.py:694
+msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:40
-msgid "cleared"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:41
-msgid "school fee paid"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:42
-msgid "returning"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:43
-msgid "courses registered"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:44
-msgid "courses validated"
+#: waeup/sirp/hostels/browser.py:65
+msgid "Hostels"
 msgstr ""
 
@@ -102,4 +108,8 @@
 msgstr ""
 
+#: waeup/sirp/students/viewlets.py:464
+msgid "Students"
+msgstr ""
+
 #: waeup/sirp/students/workflow.py:30
 msgid "Admit student"
@@ -109,3 +119,3 @@
 #: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
-msgstr "Hausa Test"
+msgstr ""
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7670)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7674)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
+"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -30,7 +30,29 @@
 msgstr ""
 
+#: waeup/sirp/applicants/viewlets.py:42
+msgid "Applicants"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:55
+msgid "Application"
+msgstr ""
+
 #: waeup/sirp/browser/templates/facultymanagepage.pt:15
 #. Default: "Local Roles"
 msgid "local_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultypage.pt:1
+msgid "There no subobjects registered yet."
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultypage.pt:8
+#. Default: "Code"
+msgid "code"
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultypage.pt:9
+#. Default: "Title"
+msgid "title"
 msgstr ""
 
@@ -45,43 +67,29 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/staffsitelayout.pt:31
-#. Default: "Login"
-msgid "login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:28
+#: waeup/sirp/browser/templates/studentsitelayout.pt:33
+msgid "Login"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:36
-msgid "created"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:34
+#: waeup/sirp/browser/templates/studentsitelayout.pt:39
+msgid "Contact"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:37
-msgid "admitted"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:40
+#: waeup/sirp/browser/templates/studentsitelayout.pt:45
+msgid "Logout"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:38
-msgid "clearance started"
+#: waeup/sirp/browser/viewlets.py:679
+msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:39
-msgid "clearance requested"
+#: waeup/sirp/browser/viewlets.py:694
+msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:40
-msgid "cleared"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:41
-msgid "school fee paid"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:42
-msgid "returning"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:43
-msgid "courses registered"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:44
-msgid "courses validated"
+#: waeup/sirp/hostels/browser.py:65
+msgid "Hostels"
 msgstr ""
 
@@ -99,4 +107,8 @@
 msgstr ""
 
+#: waeup/sirp/students/viewlets.py:464
+msgid "Students"
+msgstr ""
+
 #: waeup/sirp/students/workflow.py:30
 msgid "Admit student"
Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7670)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7674)
@@ -14,16 +14,14 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Sun Feb 19 19:32:13 2012\n"
-"PO-Revision-Date: 2012-02-19 10:57+0100\n"
-"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
-"Language-Team: WAeUP Nigeria <isouaba@waeup.org>\n"
-"Language: yo-NG\n"
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: zope/app/locales/extract.py\n"
-"X-Poedit-Language: Yoruba\n"
-"X-Poedit-Country: NIGERIA\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -33,7 +31,29 @@
 msgstr ""
 
+#: waeup/sirp/applicants/viewlets.py:42
+msgid "Applicants"
+msgstr ""
+
+#: waeup/sirp/applicants/viewlets.py:55
+msgid "Application"
+msgstr ""
+
 #. Default: "Local Roles"
 #: waeup/sirp/browser/templates/facultymanagepage.pt:15
 msgid "local_roles"
+msgstr ""
+
+#: waeup/sirp/browser/templates/facultypage.pt:1
+msgid "There no subobjects registered yet."
+msgstr ""
+
+#. Default: "Code"
+#: waeup/sirp/browser/templates/facultypage.pt:8
+msgid "code"
+msgstr ""
+
+#. Default: "Title"
+#: waeup/sirp/browser/templates/facultypage.pt:9
+msgid "title"
 msgstr ""
 
@@ -48,43 +68,29 @@
 msgstr ""
 
-#. Default: "Login"
-#: waeup/sirp/browser/templates/staffsitelayout.pt:31
-msgid "login"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:28
+#: waeup/sirp/browser/templates/studentsitelayout.pt:33
+msgid "Login"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:36
-msgid "created"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:34
+#: waeup/sirp/browser/templates/studentsitelayout.pt:39
+msgid "Contact"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:37
-msgid "admitted"
+#: waeup/sirp/browser/templates/staffsitelayout.pt:40
+#: waeup/sirp/browser/templates/studentsitelayout.pt:45
+msgid "Logout"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:38
-msgid "clearance started"
+#: waeup/sirp/browser/viewlets.py:679
+msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:39
-msgid "clearance requested"
+#: waeup/sirp/browser/viewlets.py:694
+msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/interfaces.py:40
-msgid "cleared"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:41
-msgid "school fee paid"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:42
-msgid "returning"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:43
-msgid "courses registered"
-msgstr ""
-
-#: waeup/sirp/interfaces.py:44
-msgid "courses validated"
+#: waeup/sirp/hostels/browser.py:65
+msgid "Hostels"
 msgstr ""
 
@@ -102,4 +108,8 @@
 msgstr ""
 
+#: waeup/sirp/students/viewlets.py:464
+msgid "Students"
+msgstr ""
+
 #: waeup/sirp/students/workflow.py:30
 msgid "Admit student"
@@ -109,3 +119,3 @@
 #: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
-msgstr "Yoruba Test"
+msgstr ""