Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7677)
@@ -59,5 +59,5 @@
           </span>&nbsp;&nbsp;
           State:
-          <span tal:replace="python:context.getStudent().state">State
+          <span tal:replace="python:context.getStudent().translated_state">State
           </span>
       </span>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7677)
@@ -64,5 +64,5 @@
             </span>
             |
-            <span tal:replace="python:context.getStudent().state">State
+            <span tal:replace="python:context.getStudent().translated_state">State
             </span>
         </span>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7677)
@@ -66,13 +66,13 @@
 
 registration_states_vocab = SimpleSIRPVocabulary(
-    ('created', CREATED),
-    ('admitted', ADMITTED),
-    ('clearance started', CLEARANCE),
-    ('clearance requested', REQUESTED),
-    ('cleared', CLEARED),
-    ('school fee paid', PAID),
-    ('returning', RETURNING),
-    ('courses registered', REGISTERED),
-    ('courses validated', VALIDATED),
+    (_('created'), CREATED),
+    (_('admitted'), ADMITTED),
+    (_('clearance started'), CLEARANCE),
+    (_('clearance requested'), REQUESTED),
+    (_('cleared'), CLEARED),
+    (_('school fee paid'), PAID),
+    (_('returning'), RETURNING),
+    (_('courses registered'), REGISTERED),
+    (_('courses validated'), VALIDATED),
     )
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7677)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
-"PO-Revision-Date: 2012-02-22 08:38+0100\n"
+"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"PO-Revision-Date: 2012-02-22 10:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -26,4 +26,5 @@
 "X-Poedit-Language: German\n"
 "X-Poedit-Country: GERMANY\n"
+"X-Poedit-SourceCharset: utf-8\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -33,9 +34,9 @@
 msgstr "Zullassungsgebühr-Ticket"
 
-#: waeup/sirp/applicants/viewlets.py:42
+#: waeup/sirp/applicants/viewlets.py:45
 msgid "Applicants"
 msgstr "Antragsteller"
 
-#: waeup/sirp/applicants/viewlets.py:55
+#: waeup/sirp/applicants/viewlets.py:58
 msgid "Application"
 msgstr "Beantragung"
@@ -85,15 +86,51 @@
 msgstr "Ausloggen"
 
-#: waeup/sirp/browser/viewlets.py:679
+#: waeup/sirp/browser/viewlets.py:682
 msgid "Academics"
 msgstr "Akademie"
 
-#: waeup/sirp/browser/viewlets.py:694
+#: waeup/sirp/browser/viewlets.py:697
 msgid "Enquiries"
 msgstr "Anfragen"
 
-#: waeup/sirp/hostels/browser.py:65
+#: waeup/sirp/hostels/browser.py:68
 msgid "Hostels"
 msgstr "Wohnheime"
+
+#: waeup/sirp/interfaces.py:68
+msgid "created"
+msgstr "neu"
+
+#: waeup/sirp/interfaces.py:69
+msgid "admitted"
+msgstr "zugelassen"
+
+#: waeup/sirp/interfaces.py:70
+msgid "clearance started"
+msgstr "Einschreibung begonnen"
+
+#: waeup/sirp/interfaces.py:71
+msgid "clearance requested"
+msgstr "Einschreibung beantragt"
+
+#: waeup/sirp/interfaces.py:72
+msgid "cleared"
+msgstr "eingeschrieben"
+
+#: waeup/sirp/interfaces.py:73
+msgid "school fee paid"
+msgstr "Gebühren bezahlt"
+
+#: waeup/sirp/interfaces.py:74
+msgid "returning"
+msgstr "rückgemeldet"
+
+#: waeup/sirp/interfaces.py:75
+msgid "courses registered"
+msgstr "Kurse registriert"
+
+#: waeup/sirp/interfaces.py:76
+msgid "courses validated"
+msgstr "Kurse validiert"
 
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
@@ -110,5 +147,5 @@
 msgstr "Max. Dateigröße:"
 
-#: waeup/sirp/students/viewlets.py:464
+#: waeup/sirp/students/viewlets.py:467
 msgid "Students"
 msgstr "Studenten"
@@ -118,4 +155,8 @@
 msgstr "Student zulassen"
 
+#: waeup/sirp/students/workflow.py:31
+msgid "Student admitted"
+msgstr "Student zugelassen"
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:47
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7677)
@@ -14,14 +14,17 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
-"Language: \n"
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
+"Language: fr-FR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: NIGER\n"
+"X-Poedit-SourceCharset: utf-8\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -31,9 +34,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:42
+#: waeup/sirp/applicants/viewlets.py:45
 msgid "Applicants"
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:55
+#: waeup/sirp/applicants/viewlets.py:58
 msgid "Application"
 msgstr ""
@@ -83,14 +86,50 @@
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:679
+#: waeup/sirp/browser/viewlets.py:682
 msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:694
+#: waeup/sirp/browser/viewlets.py:697
 msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/hostels/browser.py:65
+#: waeup/sirp/hostels/browser.py:68
 msgid "Hostels"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:68
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:69
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:70
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:71
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:72
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:73
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:74
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:75
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:76
+msgid "courses validated"
 msgstr ""
 
@@ -108,5 +147,5 @@
 msgstr ""
 
-#: waeup/sirp/students/viewlets.py:464
+#: waeup/sirp/students/viewlets.py:467
 msgid "Students"
 msgstr ""
@@ -116,6 +155,11 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:31
+msgid "Student admitted"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:47
 msgid "name_of_faculty"
 msgstr ""
+
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7677)
@@ -14,14 +14,17 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
-"Language: \n"
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Niger <isouaba@waeup.org>\n"
+"Language: ha-NG-Latn\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: Hausa\n"
+"X-Poedit-Country: NIGER\n"
+"X-Poedit-SourceCharset: utf-8\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -31,9 +34,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:42
+#: waeup/sirp/applicants/viewlets.py:45
 msgid "Applicants"
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:55
+#: waeup/sirp/applicants/viewlets.py:58
 msgid "Application"
 msgstr ""
@@ -83,14 +86,50 @@
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:679
+#: waeup/sirp/browser/viewlets.py:682
 msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:694
+#: waeup/sirp/browser/viewlets.py:697
 msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/hostels/browser.py:65
+#: waeup/sirp/hostels/browser.py:68
 msgid "Hostels"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:68
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:69
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:70
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:71
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:72
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:73
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:74
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:75
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:76
+msgid "courses validated"
 msgstr ""
 
@@ -108,5 +147,5 @@
 msgstr ""
 
-#: waeup/sirp/students/viewlets.py:464
+#: waeup/sirp/students/viewlets.py:467
 msgid "Students"
 msgstr ""
@@ -116,4 +155,8 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:31
+msgid "Student admitted"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:47
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7677)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
+"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -30,9 +30,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:42
+#: waeup/sirp/applicants/viewlets.py:45
 msgid "Applicants"
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:55
+#: waeup/sirp/applicants/viewlets.py:58
 msgid "Application"
 msgstr ""
@@ -82,14 +82,50 @@
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:679
+#: waeup/sirp/browser/viewlets.py:682
 msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:694
+#: waeup/sirp/browser/viewlets.py:697
 msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/hostels/browser.py:65
+#: waeup/sirp/hostels/browser.py:68
 msgid "Hostels"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:68
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:69
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:70
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:71
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:72
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:73
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:74
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:75
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:76
+msgid "courses validated"
 msgstr ""
 
@@ -107,5 +143,5 @@
 msgstr ""
 
-#: waeup/sirp/students/viewlets.py:464
+#: waeup/sirp/students/viewlets.py:467
 msgid "Students"
 msgstr ""
@@ -115,4 +151,8 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:31
+msgid "Student admitted"
+msgstr ""
+
 #: waeup/sirp/university/interfaces.py:47
 #. Default: "Name of faculty"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7677)
@@ -14,14 +14,17 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Feb 22 08:30:39 2012\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
-"Language: \n"
+"Project-Id-Version: WAeUP.SIRP\n"
+"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"PO-Revision-Date: 2012-02-22 11:28+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: WAeUP Nigeria <isouaba@waeup.org>\n"
+"Language: yo-NG\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: zope/app/locales/extract.py\n"
+"X-Poedit-Language: Yoruba\n"
+"X-Poedit-Country: NIGERIA\n"
+"X-Poedit-SourceCharset: utf-8\n"
 
 #. Default: "Acceptance Fee Payment Tickets"
@@ -31,9 +34,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:42
+#: waeup/sirp/applicants/viewlets.py:45
 msgid "Applicants"
 msgstr ""
 
-#: waeup/sirp/applicants/viewlets.py:55
+#: waeup/sirp/applicants/viewlets.py:58
 msgid "Application"
 msgstr ""
@@ -83,14 +86,50 @@
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:679
+#: waeup/sirp/browser/viewlets.py:682
 msgid "Academics"
 msgstr ""
 
-#: waeup/sirp/browser/viewlets.py:694
+#: waeup/sirp/browser/viewlets.py:697
 msgid "Enquiries"
 msgstr ""
 
-#: waeup/sirp/hostels/browser.py:65
+#: waeup/sirp/hostels/browser.py:68
 msgid "Hostels"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:68
+msgid "created"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:69
+msgid "admitted"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:70
+msgid "clearance started"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:71
+msgid "clearance requested"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:72
+msgid "cleared"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:73
+msgid "school fee paid"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:74
+msgid "returning"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:75
+msgid "courses registered"
+msgstr ""
+
+#: waeup/sirp/interfaces.py:76
+msgid "courses validated"
 msgstr ""
 
@@ -108,5 +147,5 @@
 msgstr ""
 
-#: waeup/sirp/students/viewlets.py:464
+#: waeup/sirp/students/viewlets.py:467
 msgid "Students"
 msgstr ""
@@ -116,4 +155,8 @@
 msgstr ""
 
+#: waeup/sirp/students/workflow.py:31
+msgid "Student admitted"
+msgstr ""
+
 #. Default: "Name of faculty"
 #: waeup/sirp/university/interfaces.py:47
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/student.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7677)
@@ -28,5 +28,5 @@
 from waeup.sirp.interfaces import (
     IObjectHistory, IUserAccount, IFileStoreNameChooser, IFileStoreHandler,
-    ISIRPUtils, CLEARANCE)
+    ISIRPUtils, CLEARANCE, registration_states_vocab)
 from waeup.sirp.image import SIRPImageFile
 from waeup.sirp.imagestorage import DefaultFileStoreHandler
@@ -78,4 +78,10 @@
     def state(self):
         state = IWorkflowState(self).getState()
+        return state
+
+    @property
+    def translated_state(self):
+        state = registration_states_vocab.getTermByToken(
+            self.state).title
         return state
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7676)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7677)
@@ -20,8 +20,8 @@
     Transition(
         transition_id = 'create',
-        title = 'Create student',
+        title = _('Create student'),
         source = None,
         condition = NullCondition,
-        msg = 'Student record created',
+        msg = _('Student record created'),
         destination = CREATED),
 
@@ -29,5 +29,5 @@
         transition_id = 'admit',
         title = _('Admit student'),
-        msg = 'Student admitted',
+        msg = _('Student admitted'),
         source = CREATED,
         destination = ADMITTED),
@@ -35,6 +35,6 @@
     Transition(
         transition_id = 'reset1',
-        title = 'Reset student',
-        msg = 'Student record reset',
+        title = _('Reset student'),
+        msg = _('Student record reset'),
         source = ADMITTED,
         destination = CREATED),
@@ -42,6 +42,6 @@
     Transition(
         transition_id = 'start_clearance',
-        title = 'Start clearance',
-        msg = 'Clearance started',
+        title = _('Start clearance'),
+        msg = _('Clearance started'),
         source = ADMITTED,
         destination = CLEARANCE),
@@ -49,6 +49,6 @@
     Transition(
         transition_id = 'reset2',
-        title = 'Reset to admitted',
-        msg = "Student record reset to 'admitted'",
+        title = _('Reset to admitted'),
+        msg = _("Student record reset to 'admitted'"),
         source = CLEARANCE,
         destination = ADMITTED),
@@ -56,6 +56,6 @@
     Transition(
         transition_id = 'request_clearance',
-        title = 'Request clearance',
-        msg = 'Clearance requested',
+        title = _('Request clearance'),
+        msg = _('Clearance requested'),
         source = CLEARANCE,
         destination = REQUESTED),
@@ -63,6 +63,6 @@
     Transition(
         transition_id = 'reset3',
-        title = 'Reset to clearance',
-        msg = "Student record reset to 'clearance'",
+        title = _('Reset to clearance'),
+        msg = _("Student record reset to 'clearance'"),
         source = REQUESTED,
         destination = CLEARANCE),
@@ -70,6 +70,6 @@
     Transition(
         transition_id = 'clear',
-        title = 'Clear student',
-        msg = 'Cleared',
+        title = _('Clear student'),
+        msg = _('Cleared'),
         source = REQUESTED,
         destination = CLEARED),
@@ -77,6 +77,6 @@
     Transition(
         transition_id = 'reset4',
-        title = 'Reset to clearance',
-        msg = "Student record reset to 'clearance'",
+        title = _('Reset to clearance'),
+        msg = _("Student record reset to 'clearance'"),
         source = CLEARED,
         destination = CLEARANCE),
@@ -84,6 +84,6 @@
     Transition(
         transition_id = 'pay_first_school_fee',
-        title = 'Pay school fee',
-        msg = 'School fee paid',
+        title = _('Pay school fee'),
+        msg = _('School fee paid'),
         source = CLEARED,
         destination = PAID),
@@ -91,6 +91,6 @@
     Transition(
         transition_id = 'reset5',
-        title = 'Reset to cleared',
-        msg = "Student record reset to 'cleared'",
+        title = _('Reset to cleared'),
+        msg = _("Student record reset to 'cleared'"),
         source = PAID,
         destination = CLEARED),
@@ -98,6 +98,6 @@
     Transition(
         transition_id = 'pay_school_fee',
-        title = 'Pay school fee',
-        msg = 'School fee paid',
+        title = _('Pay school fee'),
+        msg = _('School fee paid'),
         source = RETURNING,
         destination = PAID),
@@ -105,6 +105,6 @@
     Transition(
         transition_id = 'reset6',
-        title = 'Reset to returning',
-        msg = "Student record reset to 'returning'",
+        title = _('Reset to returning'),
+        msg = _("Student record reset to 'returning'"),
         source = PAID,
         destination = RETURNING),
@@ -112,6 +112,6 @@
     Transition(
         transition_id = 'register_courses',
-        title = 'Register courses',
-        msg = 'Courses registered',
+        title = _('Register courses'),
+        msg = _('Courses registered'),
         source = PAID,
         destination = REGISTERED),
@@ -119,6 +119,6 @@
     Transition(
         transition_id = 'reset7',
-        title = 'Reset to paid',
-        msg = "Student record reset to 'paid'",
+        title = _('Reset to paid'),
+        msg = _("Student record reset to 'paid'"),
         source = REGISTERED,
         destination = PAID),
@@ -126,6 +126,6 @@
     Transition(
         transition_id = 'validate_courses',
-        title = 'Validate courses',
-        msg = 'Courses validated',
+        title = _('Validate courses'),
+        msg = _('Courses validated'),
         source = REGISTERED,
         destination = VALIDATED),
@@ -133,6 +133,6 @@
     Transition(
         transition_id = 'reset8',
-        title = 'Reset to paid',
-        msg = "Student record reset to 'paid'",
+        title = _('Reset to paid'),
+        msg = _("Student record reset to 'paid'"),
         source = VALIDATED,
         destination = PAID),
@@ -140,6 +140,6 @@
     Transition(
         transition_id = 'return',
-        title = 'Return',
-        msg = 'Returned',
+        title = _('Return'),
+        msg = _('Returned'),
         source = VALIDATED,
         destination = RETURNING),
@@ -147,6 +147,6 @@
     Transition(
         transition_id = 'reset9',
-        title = 'Reset to validated',
-        msg = "Student record reset to 'validated'",
+        title = _('Reset to validated'),
+        msg = _("Student record reset to 'validated'"),
         source = RETURNING,
         destination = VALIDATED),