Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7679)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/de/LC_MESSAGES/waeup.sirp.po	(revision 7680)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
-"PO-Revision-Date: 2012-02-22 10:28+0100\n"
+"POT-Creation-Date: Wed Feb 22 12:23:01 2012\n"
+"PO-Revision-Date: 2012-02-22 12:34+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -134,4 +134,8 @@
 msgstr "Kurse validiert"
 
+#: waeup/sirp/objecthistory.py:69
+msgid "by"
+msgstr "von"
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -151,11 +155,137 @@
 msgstr "Studenten"
 
-#: waeup/sirp/students/workflow.py:30
+#: waeup/sirp/students/workflow.py:108
+msgid "Reset to returning"
+msgstr "Setze zurück auf 'rückgemeldet'"
+
+#: waeup/sirp/students/workflow.py:109
+msgid "Student record reset to 'returning'"
+msgstr "Student zurückgesetzt auf 'rückgemeldet'"
+
+#: waeup/sirp/students/workflow.py:115
+msgid "Register courses"
+msgstr "Registriere Kurse"
+
+#: waeup/sirp/students/workflow.py:116
+msgid "Courses registered"
+msgstr "Kurse registriert"
+
+#: waeup/sirp/students/workflow.py:122
+#: waeup/sirp/students/workflow.py:136
+msgid "Reset to paid"
+msgstr "Setze zurück auf 'Gebühren bezahlt'"
+
+#: waeup/sirp/students/workflow.py:123
+#: waeup/sirp/students/workflow.py:137
+msgid "Student record reset to 'paid'"
+msgstr "Student zurückgesetzt auf 'Gebühren bezahlt'"
+
+#: waeup/sirp/students/workflow.py:129
+msgid "Validate courses"
+msgstr "Validiere Kurse"
+
+#: waeup/sirp/students/workflow.py:130
+msgid "Courses validated"
+msgstr "Kurse validiert"
+
+#: waeup/sirp/students/workflow.py:143
+msgid "Return"
+msgstr "Melde zurück"
+
+#: waeup/sirp/students/workflow.py:144
+msgid "Returned"
+msgstr "rückgemeldet"
+
+#: waeup/sirp/students/workflow.py:150
+msgid "Reset to validated"
+msgstr "Setze zurück auf 'Kurse validiert'"
+
+#: waeup/sirp/students/workflow.py:151
+msgid "Student record reset to 'validated'"
+msgstr "Student zurückgesetzt auf 'Kurse validiert'"
+
+#: waeup/sirp/students/workflow.py:23
+msgid "Create student"
+msgstr "Erzeuge Studenten"
+
+#: waeup/sirp/students/workflow.py:26
+msgid "Student record created"
+msgstr "Student erzeugt"
+
+#: waeup/sirp/students/workflow.py:31
 msgid "Admit student"
 msgstr "Student zulassen"
 
-#: waeup/sirp/students/workflow.py:31
+#: waeup/sirp/students/workflow.py:32
 msgid "Student admitted"
 msgstr "Student zugelassen"
+
+#: waeup/sirp/students/workflow.py:38
+msgid "Reset student"
+msgstr "Setze zurück"
+
+#: waeup/sirp/students/workflow.py:39
+msgid "Student record reset"
+msgstr "Student zurückgesetzt"
+
+#: waeup/sirp/students/workflow.py:45
+msgid "Start clearance"
+msgstr "Starte Einschreibung"
+
+#: waeup/sirp/students/workflow.py:46
+msgid "Clearance started"
+msgstr "Einschreibung begonnen"
+
+#: waeup/sirp/students/workflow.py:52
+msgid "Reset to admitted"
+msgstr "Setze zurück auf 'zugelassen'"
+
+#: waeup/sirp/students/workflow.py:53
+msgid "Student record reset to 'admitted'"
+msgstr "Student zurückgesetzt auf 'zugelassen'"
+
+#: waeup/sirp/students/workflow.py:59
+msgid "Request clearance"
+msgstr "Beantrage Einschreibung"
+
+#: waeup/sirp/students/workflow.py:60
+msgid "Clearance requested"
+msgstr "Einschreibung beantragt"
+
+#: waeup/sirp/students/workflow.py:66
+#: waeup/sirp/students/workflow.py:80
+msgid "Reset to clearance"
+msgstr "Setze zurück auf 'eingeschrieben'"
+
+#: waeup/sirp/students/workflow.py:67
+#: waeup/sirp/students/workflow.py:81
+msgid "Student record reset to 'clearance'"
+msgstr "Student zurückgesetzt auf 'Einschreibung begonnen'"
+
+#: waeup/sirp/students/workflow.py:73
+msgid "Clear student"
+msgstr "Schreibe Student ein"
+
+#: waeup/sirp/students/workflow.py:74
+msgid "Cleared"
+msgstr "eingeschrieben"
+
+#: waeup/sirp/students/workflow.py:87
+#: waeup/sirp/students/workflow.py:101
+msgid "Pay school fee"
+msgstr "Bezahle Gebühren"
+
+#: waeup/sirp/students/workflow.py:88
+#: waeup/sirp/students/workflow.py:102
+msgid "School fee paid"
+msgstr "Gebühren bezahlt"
+
+#: waeup/sirp/students/workflow.py:94
+msgid "Reset to cleared"
+msgstr "Setze zurück auf 'eingeschrieben'"
+
+#: waeup/sirp/students/workflow.py:95
+msgid "Student record reset to 'cleared'"
+msgstr "Student zurückgesetzt auf 'eingeschrieben'"
 
 #. Default: "Name of faculty"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7679)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/fr/LC_MESSAGES/waeup.sirp.po	(revision 7680)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"POT-Creation-Date: Wed Feb 22 12:23:01 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -134,4 +134,8 @@
 msgstr ""
 
+#: waeup/sirp/objecthistory.py:69
+msgid "by"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -151,10 +155,130 @@
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:30
+#: waeup/sirp/students/workflow.py:108
+msgid "Reset to returning"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:109
+msgid "Student record reset to 'returning'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:115
+msgid "Register courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:116
+msgid "Courses registered"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:122 waeup/sirp/students/workflow.py:136
+msgid "Reset to paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:123 waeup/sirp/students/workflow.py:137
+msgid "Student record reset to 'paid'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:129
+msgid "Validate courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:130
+msgid "Courses validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:143
+msgid "Return"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:144
+msgid "Returned"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:150
+msgid "Reset to validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:151
+msgid "Student record reset to 'validated'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:23
+msgid "Create student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:26
+msgid "Student record created"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:31
 msgid "Admit student"
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:31
+#: waeup/sirp/students/workflow.py:32
 msgid "Student admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:38
+msgid "Reset student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:39
+msgid "Student record reset"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:45
+msgid "Start clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:46
+msgid "Clearance started"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:52
+msgid "Reset to admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:53
+msgid "Student record reset to 'admitted'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:59
+msgid "Request clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:60
+msgid "Clearance requested"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:66 waeup/sirp/students/workflow.py:80
+msgid "Reset to clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:67 waeup/sirp/students/workflow.py:81
+msgid "Student record reset to 'clearance'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:73
+msgid "Clear student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:74
+msgid "Cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:87 waeup/sirp/students/workflow.py:101
+msgid "Pay school fee"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:88 waeup/sirp/students/workflow.py:102
+msgid "School fee paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:94
+msgid "Reset to cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:95
+msgid "Student record reset to 'cleared'"
 msgstr ""
 
@@ -163,3 +287,2 @@
 msgid "name_of_faculty"
 msgstr ""
-
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7679)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/ha/LC_MESSAGES/waeup.sirp.po	(revision 7680)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"POT-Creation-Date: Wed Feb 22 12:23:01 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -134,4 +134,8 @@
 msgstr ""
 
+#: waeup/sirp/objecthistory.py:69
+msgid "by"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -151,10 +155,130 @@
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:30
+#: waeup/sirp/students/workflow.py:108
+msgid "Reset to returning"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:109
+msgid "Student record reset to 'returning'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:115
+msgid "Register courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:116
+msgid "Courses registered"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:122 waeup/sirp/students/workflow.py:136
+msgid "Reset to paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:123 waeup/sirp/students/workflow.py:137
+msgid "Student record reset to 'paid'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:129
+msgid "Validate courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:130
+msgid "Courses validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:143
+msgid "Return"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:144
+msgid "Returned"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:150
+msgid "Reset to validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:151
+msgid "Student record reset to 'validated'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:23
+msgid "Create student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:26
+msgid "Student record created"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:31
 msgid "Admit student"
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:31
+#: waeup/sirp/students/workflow.py:32
 msgid "Student admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:38
+msgid "Reset student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:39
+msgid "Student record reset"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:45
+msgid "Start clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:46
+msgid "Clearance started"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:52
+msgid "Reset to admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:53
+msgid "Student record reset to 'admitted'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:59
+msgid "Request clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:60
+msgid "Clearance requested"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:66 waeup/sirp/students/workflow.py:80
+msgid "Reset to clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:67 waeup/sirp/students/workflow.py:81
+msgid "Student record reset to 'clearance'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:73
+msgid "Clear student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:74
+msgid "Cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:87 waeup/sirp/students/workflow.py:101
+msgid "Pay school fee"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:88 waeup/sirp/students/workflow.py:102
+msgid "School fee paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:94
+msgid "Reset to cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:95
+msgid "Student record reset to 'cleared'"
 msgstr ""
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7679)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/waeup.sirp.pot	(revision 7680)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"POT-Creation-Date: Wed Feb 22 12:23:01 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -130,4 +130,8 @@
 msgstr ""
 
+#: waeup/sirp/objecthistory.py:69
+msgid "by"
+msgstr ""
+
 #: waeup/sirp/students/browser_templates/changepw.pt:26
 #: waeup/sirp/applicants/browser_templates/applicantregister.pt:26
@@ -147,10 +151,136 @@
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:30
+#: waeup/sirp/students/workflow.py:108
+msgid "Reset to returning"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:109
+msgid "Student record reset to 'returning'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:115
+msgid "Register courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:116
+msgid "Courses registered"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:122
+#: waeup/sirp/students/workflow.py:136
+msgid "Reset to paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:123
+#: waeup/sirp/students/workflow.py:137
+msgid "Student record reset to 'paid'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:129
+msgid "Validate courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:130
+msgid "Courses validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:143
+msgid "Return"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:144
+msgid "Returned"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:150
+msgid "Reset to validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:151
+msgid "Student record reset to 'validated'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:23
+msgid "Create student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:26
+msgid "Student record created"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:31
 msgid "Admit student"
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:31
+#: waeup/sirp/students/workflow.py:32
 msgid "Student admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:38
+msgid "Reset student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:39
+msgid "Student record reset"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:45
+msgid "Start clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:46
+msgid "Clearance started"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:52
+msgid "Reset to admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:53
+msgid "Student record reset to 'admitted'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:59
+msgid "Request clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:60
+msgid "Clearance requested"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:66
+#: waeup/sirp/students/workflow.py:80
+msgid "Reset to clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:67
+#: waeup/sirp/students/workflow.py:81
+msgid "Student record reset to 'clearance'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:73
+msgid "Clear student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:74
+msgid "Cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:87
+#: waeup/sirp/students/workflow.py:101
+msgid "Pay school fee"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:88
+#: waeup/sirp/students/workflow.py:102
+msgid "School fee paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:94
+msgid "Reset to cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:95
+msgid "Student record reset to 'cleared'"
 msgstr ""
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7679)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7680)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Wed Feb 22 10:24:25 2012\n"
+"POT-Creation-Date: Wed Feb 22 12:23:01 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -134,4 +134,8 @@
 msgstr ""
 
+#: waeup/sirp/objecthistory.py:69
+msgid "by"
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -151,10 +155,130 @@
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:30
+#: waeup/sirp/students/workflow.py:108
+msgid "Reset to returning"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:109
+msgid "Student record reset to 'returning'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:115
+msgid "Register courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:116
+msgid "Courses registered"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:122 waeup/sirp/students/workflow.py:136
+msgid "Reset to paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:123 waeup/sirp/students/workflow.py:137
+msgid "Student record reset to 'paid'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:129
+msgid "Validate courses"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:130
+msgid "Courses validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:143
+msgid "Return"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:144
+msgid "Returned"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:150
+msgid "Reset to validated"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:151
+msgid "Student record reset to 'validated'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:23
+msgid "Create student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:26
+msgid "Student record created"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:31
 msgid "Admit student"
 msgstr ""
 
-#: waeup/sirp/students/workflow.py:31
+#: waeup/sirp/students/workflow.py:32
 msgid "Student admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:38
+msgid "Reset student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:39
+msgid "Student record reset"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:45
+msgid "Start clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:46
+msgid "Clearance started"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:52
+msgid "Reset to admitted"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:53
+msgid "Student record reset to 'admitted'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:59
+msgid "Request clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:60
+msgid "Clearance requested"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:66 waeup/sirp/students/workflow.py:80
+msgid "Reset to clearance"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:67 waeup/sirp/students/workflow.py:81
+msgid "Student record reset to 'clearance'"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:73
+msgid "Clear student"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:74
+msgid "Cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:87 waeup/sirp/students/workflow.py:101
+msgid "Pay school fee"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:88 waeup/sirp/students/workflow.py:102
+msgid "School fee paid"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:94
+msgid "Reset to cleared"
+msgstr ""
+
+#: waeup/sirp/students/workflow.py:95
+msgid "Student record reset to 'cleared'"
 msgstr ""
 